Some exercises:
1. Verify that the parameters of the model coincide with those in the numerical example in the handout, http://faculty.wcas.northwestern.edu/~lchrist/course/Korea_2012/lecture_on_solving_rev.pdf
2. Compute the first order perturvation on the solution. The printout shows the relation between lk and lk(-1), a(-1), e and a constant. The constant is the steady state of lk.
   (a) Examine the relations between a and lk(-1), a(-1), e and a constant. Since the law of motion of a is just linear, this is also the 'solution' and you should verify
   that the coefficients are what you expect.
   (b) Examine the relation between ly and lk(-1), a(-1), e and confirm that these are correct using what you know about the production function in the model.
   (c) In fact, the endogenous variables lk, ly, lc depend only on a and not how a breaks down into rho*a(-1) and e. Understand this intuitively. Examine the policy rules and verify
   that in fact, the policy rules for lc, lk and ly only look at a and they do not make use of how a breaks into rho*a(-1) + e
3. Compute the second order approxiation (order = 2) and redo 2(a)-2(c).
4. Compute impulse responses (set irf = 100) using order = 2.
   (a) Set replic = 1 and examine the impulse responses of a and the other variables to the shock. Notice that even though
   replic = 1 (so that only one stochastic simulation is done) the impulse response of a is exactly correct. This is for two reasons. First, the same random shocks 
   are done for both sets of stochastic simulations done to compute the impulse response functions. Since the law of motion of a is linear, the random shocks cancel in 
   the case of the computation of the impulse response function of a. 
   (b) Note that the impulse responses of the other variables are fairly smooth too. This is because, while we're working with a second order approximation, it is neverheless
    pretty close to linear. 
 5. We can get away from the linear region by making the shock bigger. Accordingly make the standard deviation of e = 0.5
    (a) now compute irf's. Note that if you do not include the parameter, pruning, in the stochastic_simulate command, then the simulations do not work. The reasons
        for this are explained in the detail in the lecture notes. Note that when pruning is included then you actually get numbers. Note however, that the impulse
        response functions are fairly rough.
    (b) increase replic to 100, 1000 and 2000. Note how the impulse response functions smooth out with these changes.
    (c) set drop = 0, so that the impulse response functions are conditioned on the initial conditions (I believe the default in Dynare in this case is the 
        non-stochastic steady state and I believe that cannot be changed at this time). Note that with drop = 0 or drop = 100 (the default), the results are not very 
        different. This reflects that the model is not very non-linear.